/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

function showQueryProcessorSample() {
	var needToOpen = true;
	var windowType = "QueryProcessorSample";
	var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
	var windows = wm.getEnumerator(windowType);
	while (windows.hasMoreElements()) {
		var theEM = windows.getNext().QueryInterface(Components.interfaces.nsIDOMWindow);
		if (theEM.document.documentElement.getAttribute("windowtype") == windowType) {
			theEM.focus();
			needToOpen = false;
 			break;
		}
	}
	if (needToOpen) {
		const EMURL = "chrome://queryprocessor/content/queryprocessor.xul";
		const EMFEATURES = "chrome, all, dialog=no, centerscreen";
		window.openDialog(EMURL, "", EMFEATURES);
	}
}